// swift-tools-version:5.5
// The swift-tools-version declares the minimum version of Swift
// required to build this package.

import PackageDescription

let package = Package(
  name: "SwiftMacPackage",
  platforms: [
    .macOS(.v11)
  ],
  products: [
    // Products define the executables and libraries a package
    // produces, and make them visible to other packages.
    .executable(
      name: "swiftmac",
      targets: ["swiftmac"])
  ],
  dependencies: [
    // Dependencies declare other packages that this package
    // depends on.
    // .package(url: /* package url */, from: "1.0.0"),
    .package(url: "https://github.com/arkasas/OggDecoder.git", .branch("main"))
  ],
  targets: [
    // Targets are the basic building blocks of a package.
    // A target can define a module or a test suite.
    // Targets can depend on other targets in this package,
    // and on products in packages this package depends on.
    .executableTarget(
      name: "swiftmac",
      dependencies: ["OggDecoder"],
      path: "Sources/SwiftMacPackage",
      sources: [
        "logger.swift", "statestore.swift", "soundmanager.swift", "toneplayer.swift", "main.swift",
      ]
    )
  ]
)
